using System.Threading.Tasks;
using CliFx;

namespace AaLog.Cli
{
    public static class Program
    {
        public static async Task<int> Main(string[] args) =>
            await new CliApplicationBuilder()
                .SetTitle("aalog")
                .SetExecutableName("aalog")
                .SetDescription("Read AVEVA / Wonderware System Platform binary log records.")
                .AddCommandsFromThisAssembly()
                .Build()
                .RunAsync(args);
    }
}
